Package org.apache.groovy.util.concurrent

# Class ConcurrentReferenceHashMap.InitializableEntry<K,V>

java.lang.Object
org.apache.groovy.util.concurrent.ConcurrentReferenceHashMap.InitializableEntry<K,V>

All Implemented Interfaces:
  `Map.Entry<K,V>`

Enclosing class:
  ConcurrentReferenceHashMap<K,V>

protected static class ConcurrentReferenceHashMap.InitializableEntry<K,V> extends Object implements Map.Entry<K,V>

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `InitializableEntry()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `K`
  `getKey()`
  `V`
  `getValue()`
  `Map.Entry<K,V>`
  `init(K key, V value)`
  `V`
  `setValue(V value)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface java.util.Map.Entry

  `equals, hashCode`

- ## Constructor Details

  - ### InitializableEntry

    protected InitializableEntry()

- ## Method Details

  - ### getKey

    public K getKey()
    Specified by:
      `getKey` in interface `Map.Entry<K,V>`

  - ### getValue

    public V getValue()
    Specified by:
      `getValue` in interface `Map.Entry<K,V>`

  - ### init

    public Map.Entry<K,V> init(K key, V value)

  - ### setValue

    public V setValue(V value)
    Specified by:
      `setValue` in interface `Map.Entry<K,V>`